CVE-2021-45979

high

Description

Foxit PDF Reader and PDF Editor before 11.1 on macOS allow remote attackers to execute arbitrary code via app.launchURL in the JavaScript API.

References

https://github.com/dlehgus1023/CVE/tree/master/CVE-2021-45979

https://www.foxit.com/support/security-bulletins.html

https://github.com/dlehgus1023

Details

Source: MITRE

Published: 2022-01-04

Updated: 2022-07-12

Type: CWE-78

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 7.8

Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH